using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;

namespace ImageAndButton
{
	/// <summary>
	/// Summary description for ImageAndButtonCell.
	/// </summary>
	public class ImageAndButtonCellModel : GridTextBoxCellModel
	{
		public ImageAndButtonCellModel(GridModel grid)
			: base(grid)
		{
			this.ButtonBarSize = new Size(14, 20);
		}

		public override GridCellRendererBase CreateRenderer(GridControlBase control)
		{
			return new ImageAndButtonCellRenderer(control, this);
		}
	}

	public class ImageAndButtonCellRenderer : GridImageCellRenderer
	{

		public ImageAndButtonCellRenderer(GridControlBase grid, GridCellModelBase cellModel)
			: base(grid, cellModel)
		{
			 this.AddButton(new GridCellComboBoxButton(this));
			//this.AddButton(new GridCellButton(this));
		}
	}


	public class ImageAndButtonCellModel1 : GridImageCellModel
	{
		public ImageAndButtonCellModel1(GridModel grid)
			: base(grid)
		{
			this.ButtonBarSize = new Size(14, 20);
		}

		public override GridCellRendererBase CreateRenderer(GridControlBase control)
		{
			return new ImageAndButtonCellRenderer1(control, this);
		}
	}

	public class ImageAndButtonCellRenderer1 : GridImageCellRenderer
	{

		public ImageAndButtonCellRenderer1(GridControlBase grid, GridCellModelBase cellModel)
			: base(grid, cellModel)
		{
			this.AddButton(new GridCellComboBoxButton(this));
			//this.AddButton(new GridCellButton(this));
		}
	}
}
